Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData Class Reference

This class represents the data of a 3D annotation view. More...

## Public Member Functions
| PDF3DAnnotViewData ()
| Constructor.
| PDF3DAnnotViewData (PDF3DAnnotViewData other)
| Constructor, with another 3D annot view data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getDisplay_name ()
| Get the display name of the view. More...
String | getName ()
| Get the name of the view, which is the unique name. More...
void | setDisplay_name (String value)
| Set the display name of the view. More...
void | setName (String value)
| Set the name of the view, which is the unique name. More...

## Detailed Description

This class represents the data of a 3D annotation view.

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotViewData()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.PDF3DAnnotViewData | ( | PDF3DAnnotViewData | other | ) |

Constructor, with another 3D annot view data object.

Parameters

  [in] | other | Another 3D annot view data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDisplay_name()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.getDisplay_name | ( |  | ) |

Get the display name of the view.

Returns
  The display name of the view. This name can be duplicated with other views.

## ◆ getName()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.getName | ( |  | ) |

Get the name of the view, which is the unique name.

Returns
  The name of the view, which is the unique name.

## ◆ setDisplay_name()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.setDisplay_name | ( | String | value | ) |

Set the display name of the view.

Parameters

  [in] | value | The display name of the view. This name can be duplicated with other views.

Returns
  None.

## ◆ setName()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotViewData.setName | ( | String | value | ) |

Set the name of the view, which is the unique name.

Parameters

  [in] | value | The name of the view, which is the unique name.

Returns
  None.